Livepush Developers

Players

Enable a player

PUT https://octopus.livepush.io/players/{player_id}/enable

Base URL https://octopus.livepush.io — Core Streams & Media APIs

Re-enables a disabled player. Not used by the dashboard.

Requires a token with CanWritePlayers.

Authorization

Send a valid access token in the Authorization header.

  • bearerAuth — Bearer token (JWT)
headers.txt
Authorization: Bearer YOUR_API_TOKEN

Try it

PUT https://octopus.livepush.io/players/{player_id}/enable — This call changes live data on your account.

Parameters

Path parameters

  • player_id string required
    Unique identifier of the player.
    example: pl_xxxxxxxxxxxx

Code samples

request.sh
curl -X PUT 'https://octopus.livepush.io/players/pl_xxxxxxxxxxxx/enable' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/players/pl_xxxxxxxxxxxx/enable', {
  method: 'PUT',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
  },
});

if (!response.ok) {
  throw new Error(`Livepush API error ${response.status}`);
}

const data = await response.json();
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN',
}

response = requests.put('https://octopus.livepush.io/players/pl_xxxxxxxxxxxx/enable', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()

Responses

Setting applied.

application/json

  • success boolean
Example 200 response response.json
{
  "success": true
}

No response body.

No such player for this account.